<template>
  <section class="flex flex-row pt-20 pb-5 px-4 justify-between items-center">
    <div class="w-[85%] relative h-fit">
      <input
        type="text"
        placeholder="Cari Produk"
        class="w-[100%] h-12 rounded-full pl-10 outline outline-1 outline-1400 focus:outline-400 focus:outline-2 small:w-[90%] smallest:w-[88%] small:h-11 small:text-sm"
      />
      <svg
        class="absolute w-6 fill-300 top-[12px] left-[12px] small:top-[10px]"
        focusable="false"
        aria-hidden="true"
        viewBox="0 0 24 24"
        data-testid="SearchIcon"
      >
        <path
          d="M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z"
        ></path>
      </svg>
    </div>

    <button
      class="w-[3rem] h-[3rem] bg-400 rounded-full flex justify-center items-center small:w-[2.8rem] small:h-[2.8rem] smallest:w-[2.7rem] smallest:h-[2.7rem]"
    >
      <svg
        class="w-6 fill-100"
        focusable="false"
        aria-hidden="true"
        viewBox="0 0 24 24"
        data-testid="FilterAltIcon"
      >
        <path
          d="M4.25 5.61C6.27 8.2 10 13 10 13v6c0 .55.45 1 1 1h2c.55 0 1-.45 1-1v-6s3.72-4.8 5.74-7.39c.51-.66.04-1.61-.79-1.61H5.04c-.83 0-1.3.95-.79 1.61z"
        ></path>
      </svg>
    </button>
  </section>
</template>

<script>
export default {
  name: "Filter",
};
</script>
